cwlVersion: v1.0
class: Workflow
inputs:
  zip_file:
    type: File
  search_string:
    type: string
  output_filename: 
    type: string?

requirements:
  MultipleInputFeatureRequirement: {}

steps:
  untar:
    run: tar.cwl
    in:
      tarfile: zip_file
    out: [extractfile]
  grep:
    run: grep.cwl
    in:
      extended:
        default: true
      search_file: untar/extractfile
      search_string: search_string
    out: [occurences]
  wc:
    run: wc.cwl
    in:
      input_file: grep/occurences
      output_filename: output_filename
    out: [count]

outputs:
  occurences:
    type: File
    outputSource: [wc/count]
